@echo off
REM The option -u:arg stores the args in the order of cmd line in variables $1, $2 etc. which can be used in the script.
REM Of course this is an example. The arguments can be come from another cmd line invocation.


set ZBNFJAX_HOME=%CD%\..\..\zbnfjax
REM may set the PATH for java in an user specific way, not need if java is present.
::call setZBNFJAX_HOME.bat silent
echo off
java -cp %ZBNFJAX_HOME%/zbnf.jar org.vishia.zcmd.JZcmd %0 -u:first-arg -u:second
exit /B

==JZcmd==

main()
{
  <+out>User args: <&$1> <&$1> <&$2> <.+n>
}
